function vw_business_consulting_menu_open_nav() {
	window.vw_business_consulting_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function vw_business_consulting_menu_close_nav() {
	window.vw_business_consulting_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.vw_business_consulting_currentfocus=null;
  	vw_business_consulting_checkfocusdElement();
	var vw_business_consulting_body = document.querySelector('body');
	vw_business_consulting_body.addEventListener('keyup', vw_business_consulting_check_tab_press);
	var vw_business_consulting_gotoHome = false;
	var vw_business_consulting_gotoClose = false;
	window.vw_business_consulting_responsiveMenu=false;
 	function vw_business_consulting_checkfocusdElement(){
	 	if(window.vw_business_consulting_currentfocus=document.activeElement.className){
		 	window.vw_business_consulting_currentfocus=document.activeElement.className;
	 	}
 	}
 	function vw_business_consulting_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.vw_business_consulting_responsiveMenu){
			if (!e.shiftKey) {
				if(vw_business_consulting_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				vw_business_consulting_gotoHome = true;
			} else {
				vw_business_consulting_gotoHome = false;
			}

		}else{

			if(window.vw_business_consulting_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.vw_business_consulting_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.vw_business_consulting_responsiveMenu){
				if(vw_business_consulting_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					vw_business_consulting_gotoClose = true;
				} else {
					vw_business_consulting_gotoClose = false;
				}

			}else{

			if(window.vw_business_consulting_responsiveMenu){
			}}}}
		}
	 	vw_business_consulting_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  $(window).scroll(function(){
	var sticky = $('.header-sticky'),
		scroll = $(window).scrollTop();

	if (scroll >= 100) sticky.addClass('header-fixed');
	else sticky.removeClass('header-fixed');
	});
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// tab

jQuery(document).ready(function () {
	jQuery( ".tablinks" ).first().addClass( "active" );
});

function vw_business_consulting_services_tab(evt, cityName) {
  var vw_business_consulting_i, vw_business_consulting_tabcontent, vw_business_consulting_tablinks;
  vw_business_consulting_tabcontent = document.getElementsByClassName("tabcontent");
  for (vw_business_consulting_i = 0; vw_business_consulting_i < vw_business_consulting_tabcontent.length; vw_business_consulting_i++) {
    vw_business_consulting_tabcontent[vw_business_consulting_i].style.display = "none";
  }
  vw_business_consulting_tablinks = document.getElementsByClassName("tablinks");
  for (vw_business_consulting_i = 0; vw_business_consulting_i < vw_business_consulting_tablinks.length; vw_business_consulting_i++) {
    vw_business_consulting_tablinks[vw_business_consulting_i].className = vw_business_consulting_tablinks[vw_business_consulting_i].className.replace(" active", "");
  }
  jQuery('#'+ cityName).show()
  evt.currentTarget.className += " active";
}

jQuery(document).ready(function () {
	jQuery('.tabcontent').hide();
	jQuery('.tabcontent:first').show();

	// button js
	jQuery('.features-clicked').on('click', function() {
	  // jQuery(this).toggleClass('show');
	  jQuery('.features-clicked').toggleClass('show');

	  jQuery('.nav-item.dropdown .dropdown-menu').toggleClass('show');
	});
});

jQuery(document).ready(function () {
	
	function vw_business_consulting_search_loop_focus(element) {
		var vw_business_consulting_focus = element.find('select, input, textarea, button, a[href]');
		var vw_business_consulting_firstFocus = vw_business_consulting_focus[0];  
		var vw_business_consulting_lastFocus = vw_business_consulting_focus[vw_business_consulting_focus.length - 1];
		var KEYCODE_TAB = 9;

		element.on('keydown', function vw_business_consulting_search_loop_focus(e) {
			var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

			if (!isTabPressed) { 
			  return; 
			}

			if ( e.shiftKey ) /* shift + tab */ {
			  if (document.activeElement === vw_business_consulting_firstFocus) {
		    vw_business_consulting_lastFocus.focus();
		      e.preventDefault();
		    }
		  } else /* tab */ {
		  	if (document.activeElement === vw_business_consulting_lastFocus) {
		    	vw_business_consulting_firstFocus.focus();
		      e.preventDefault();
		    }
		  }
		});
	}

  jQuery('.toggle-btn a').click(function(){
    jQuery(".header-sidebar").addClass('show');
  	vw_business_consulting_search_loop_focus(jQuery('.header-sidebar'));
  });

  jQuery('.header-sidebar .close-pop a').click(function(){
    jQuery(".header-sidebar").removeClass('show');
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const vw_business_consulting_progressBar =
        document.getElementById("vw_business_consulting_elemento_progress_bar");
    if (!vw_business_consulting_progressBar) return;
    window.addEventListener("scroll", function () {
        const vw_business_consulting_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const vw_business_consulting_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const vw_business_consulting_scrolled =
            (vw_business_consulting_scrollTop / vw_business_consulting_height) * 100;
        vw_business_consulting_progressBar.style.width =
            vw_business_consulting_scrolled + "%";
    });
});